%define orig_name usb-rndis-lite
Name: kernel-modules-%orig_name
Version: 0.11
Release: alt3
Summary: USB rndis kernel module
License: GPL
Group: System/Kernel and hardware
URL: http://downloads.sourceforge.net/synce/usb-rndis-lite-0.11.tar.gz
Source0: %orig_name-%version.tar.gz
Patch0: kernel-modules-usb-rndis-lite-0.11-alt-install.patch.bz2

BuildRequires: kernel-headers-modules-std-smp

%define kernelversion 2.6.18-std-smp

%description
Kernel module for USB rndis connection for Windows Mobile devices

%prep
%setup -q -n %orig_name-%version
%patch0 -p0

%build
make KDIR=/usr/src/linux-%kernelversion

%install
make INSTALL_MOD_PATH=$RPM_BUILD_ROOT KDIR=/usr/src/linux-%kernelversion install

%post
depmod -ae

%postun
depmod -ae

%files
/lib/modules/*

%changelog
* Sun Mar 23 2008 Eugine V. Kosenko <maverik@altlinux.ru> 0.11-alt3
- modify for std-smp kernel
- spec cleaning

* Wed Feb 20 2008 Eugine V. Kosenko <maverik@altlinux.ru> 0.11-alt2
- postinstall/postuninstall depmod added
- minor spec formatting fixes

* Sun Feb 17 2008 Eugine V. Kosenko <maverik@altlinux.ru> 0.11-alt1
- Initial Build

